import {View} from "@tarojs/components";
import {FC, useEffect, useState} from "react";
import {CurLearningRecord, ManageApi} from "@/api/manage";
import PopPut from "@/components/popPut/popPut";

interface Props {
  id: number
}

const StudentRecord: FC<Props> = ({id}) => {
  const [data, setData] = useState<CurLearningRecord | null>(null)

  async function getDate() {
    try {
      const res = await ManageApi.userRecord(id)
      setData(res)
    } catch (e) {
    }
  }

  function record(id: number): string {
    return `${data?.user_course_records?.[id]?.finished_count || 0}/${data?.course.class_hour || 0}`
  }

  useEffect(() => {
    getDate()
  }, [id])

  return (
    <View>
      {data?.data?.map(d => <PopPut
          leftImage={d.avatar}
          title={d.name}
          content={record(d.id)}
          chevron
        />)}
    </View>
  )
}

export default StudentRecord
